Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portlet
Class JBossActionResponse

    java.lang.Object
      javax.portlet.filter.PortletResponseWrapper
          org.jboss.portlet.JBossActionResponse

All Implemented Interfaces:
  javax.portlet.ActionResponse, javax.portlet.PortletResponse, javax.portlet.StateAwareResponse

    public class JBossActionResponse

extends javax.portlet.filter.PortletResponseWrapper
implements javax.portlet.ActionResponse

Version:
  $Revision: 11745 $
Author:
  Julien Viet

Constructor Summary
`JBossActionResponse(javax.portlet.ActionResponse portletResponse)`

Method Summary
`PortalNodeURL` | `createActionURL(PortalNode node)`
`PortalNodeURL` | `createRenderURL(PortalNode node)`
`javax.portlet.PortletMode` | `getPortletMode()`
`java.util.Map<java.lang.String,java.lang.String[]>` | `getRenderParameterMap()`
`javax.portlet.WindowState` | `getWindowState()`
`void` | `removePublicRenderParameter(java.lang.String arg0)`
`void` | `sendRedirect(java.lang.String arg0)`
`void` | `sendRedirect(java.lang.String arg0, java.lang.String arg1)`
`void` | `setEvent(javax.xml.namespace.QName arg0, java.io.Serializable arg1)`
`void` | `setEvent(java.lang.String arg0, java.io.Serializable arg1)`
`void` | `setPortletMode(javax.portlet.PortletMode arg0)`
`void` | `setRenderParameter(java.lang.String arg0, java.lang.String arg1)`
`void` | `setRenderParameter(java.lang.String arg0, java.lang.String[] arg1)`
`void` | `setRenderParameters(java.util.Map<java.lang.String,java.lang.String[]> arg0)`
`void` | `setWindowState(javax.portlet.WindowState arg0)`
`void` | `signOut()` Deprecated. Use the QName("urn:jboss:portal", "signOut") event instead
`void` | `signOut(java.lang.String location)` Deprecated. Use the QName("urn:jboss:portal", "signOut") event instead (Pass the redirection URL as payload)

Methods inherited from class javax.portlet.filter.PortletResponseWrapper
`addProperty, addProperty, addProperty, createElement, encodeURL, getNamespace, getResponse, setProperty, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.PortletResponse
`addProperty, addProperty, addProperty, createElement, encodeURL, getNamespace, setProperty`

Constructor Detail

### JBossActionResponse

    public JBossActionResponse(javax.portlet.ActionResponse portletResponse)

Method Detail

### createActionURL

    public PortalNodeURL createActionURL(PortalNode node)
                                  throws java.lang.IllegalArgumentException,
                                         java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.IllegalStateException`

### createRenderURL

    public PortalNodeURL createRenderURL(PortalNode node)
                                  throws java.lang.IllegalArgumentException,
                                         java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.IllegalStateException`

### sendRedirect

    public void sendRedirect(java.lang.String arg0)
                      throws java.io.IOException

  Specified by:
    `sendRedirect` in interface `javax.portlet.ActionResponse`
  Throws:
    `java.io.IOException`

### sendRedirect

    public void sendRedirect(java.lang.String arg0,
                             java.lang.String arg1)
                      throws java.io.IOException

  Specified by:
    `sendRedirect` in interface `javax.portlet.ActionResponse`
  Throws:
    `java.io.IOException`

### getPortletMode

    public javax.portlet.PortletMode getPortletMode()

  Specified by:
    `getPortletMode` in interface `javax.portlet.StateAwareResponse`

### getRenderParameterMap

    public java.util.Map<java.lang.String,java.lang.String[]> getRenderParameterMap()

  Specified by:
    `getRenderParameterMap` in interface `javax.portlet.StateAwareResponse`

### getWindowState

    public javax.portlet.WindowState getWindowState()

  Specified by:
    `getWindowState` in interface `javax.portlet.StateAwareResponse`

### removePublicRenderParameter

    public void removePublicRenderParameter(java.lang.String arg0)

  Specified by:
    `removePublicRenderParameter` in interface `javax.portlet.StateAwareResponse`

### setEvent

    public void setEvent(javax.xml.namespace.QName arg0,
                         java.io.Serializable arg1)

  Specified by:
    `setEvent` in interface `javax.portlet.StateAwareResponse`

### setEvent

    public void setEvent(java.lang.String arg0,
                         java.io.Serializable arg1)

  Specified by:
    `setEvent` in interface `javax.portlet.StateAwareResponse`

### setPortletMode

    public void setPortletMode(javax.portlet.PortletMode arg0)
                        throws javax.portlet.PortletModeException

  Specified by:
    `setPortletMode` in interface `javax.portlet.StateAwareResponse`
  Throws:
    `javax.portlet.PortletModeException`

### setRenderParameter

    public void setRenderParameter(java.lang.String arg0,
                                   java.lang.String arg1)

  Specified by:
    `setRenderParameter` in interface `javax.portlet.StateAwareResponse`

### setRenderParameter

    public void setRenderParameter(java.lang.String arg0,
                                   java.lang.String[] arg1)

  Specified by:
    `setRenderParameter` in interface `javax.portlet.StateAwareResponse`

### setRenderParameters

    public void setRenderParameters(java.util.Map<java.lang.String,java.lang.String[]> arg0)

  Specified by:
    `setRenderParameters` in interface `javax.portlet.StateAwareResponse`

### setWindowState

    public void setWindowState(javax.portlet.WindowState arg0)
                        throws javax.portlet.WindowStateException

  Specified by:
    `setWindowState` in interface `javax.portlet.StateAwareResponse`
  Throws:
    `javax.portlet.WindowStateException`

### signOut

    public void signOut()
                 throws java.lang.IllegalStateException

  Deprecated. Use the QName("urn:jboss:portal", "signOut") event instead

  Perform a programmatic sign out.

  Throws:
    `java.lang.IllegalStateException` - if programmatic signout cannot be done

### signOut

    public void signOut(java.lang.String location)
                 throws java.lang.IllegalStateException

  Deprecated. Use the QName("urn:jboss:portal", "signOut") event instead (Pass the redirection URL as payload)

  Perform a programmatic sign out and navigate to the URL specified by the location parameter.

  Parameters:
    `location` - URL to redirect to after signout; can be null to indicate default behavior.
  Throws:
    `java.lang.IllegalStateException` - if programmatic signout cannot be done
    `java.lang.IllegalArgumentException` - if the location is not valid

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD